from django.apps import AppConfig
from django.utils.functional import cached_property
from django.utils.translation import gettext_lazy
from . import __version__

class PoosApp(AppConfig):
    name = 'pretix_poos'
    verbose_name = 'Pretix POOS'

    class PretixPluginMeta:
        name = gettext_lazy('Pretix POOS')
        author = 'Ember Keske'
        description = gettext_lazy('Import Bank transactions automatically via nordigen')
        category = 'CUSTOMIZATION'
        visible = False
        version = __version__
        compatibility = "pretix>=4.17.0"

    def ready(self):
        from . import signals  # NOQA
