from django.dispatch import receiver

from pretix.base.signals import register_sales_channels
from pretix.base.channels import SalesChannel

class PoosSalesChannel(SalesChannel):
    identifier = "pretixpos"
    verbose_name = 'Box office (pretixPOS)'
    icon = "shopping-basket"
    
    payment_restrictions_supported = False
    customer_accounts_supported = False

@receiver(register_sales_channels, dispatch_uid="poos_register_sales_channels")
def base_sales_channels(sender, **kwargs):
    return (
        PoosSalesChannel(),
    )

