import os
from distutils.command.build import build

from setuptools import find_packages, setup

from pretix_poos import __version__


try:
    with open(
        os.path.join(os.path.dirname(__file__), "README.rst"), encoding="utf-8"
    ) as f:
        long_description = f.read()
except Exception:
    long_description = ""


setup(
    name="pretix-poos",
    version=__version__,
    description="Short description",
    long_description=long_description,
    url="GitHub repository URL",
    author="n0emis",
    author_email="git@n0emis.eu",
    license="Apache",
    install_requires=["django"],
    packages=find_packages(exclude=["tests", "tests.*"]),
    include_package_data=True,
    entry_points="""
[pretix.plugin]
pretix_poos=pretix_poos:PretixPluginMeta
""",
)
